<?php
/**
 * cc.php
 *
 * This file defines a global variable, $cc, that maps 2 digit country code to
 * a country name.  The code is an IEEE standard.  Any database field that
 * holds a Country as part of an address should store the country code, not the
 * country name.
 *
 * @package SolidWorks
 * @author John Diamond <jdiamond@solid-state.org>
 * @copyright John Diamond <jdiamond@solid-state.org>
 * @license http://www.opensource.org/licenses/gpl-license.php GNU Public License
 */

$cc['AF'] = 'Afghanistan';
$cc['AL'] = 'Albania';
$cc['DZ'] = 'Algeria';
$cc['AS'] = 'American Samoa';
$cc['AD'] = 'Andorra';
$cc['AO'] = 'Angola';
$cc['AI'] = 'Anguilla';
$cc['AQ'] = 'Antarctica';
$cc['AG'] = 'Antigua and Barbuda';
$cc['AR'] = 'Argentina';
$cc['AM'] = 'Armenia';
$cc['AW'] = 'Aruba';
$cc['AU'] = 'Australia';
$cc['AT'] = 'Austria';
$cc['AZ'] = 'Azerbaijan';
$cc['BS'] = 'Bahamas';
$cc['BH'] = 'Bahrain';
$cc['BD'] = 'Bangladesh';
$cc['BB'] = 'Barbados';
$cc['BY'] = 'Belarus';
$cc['BE'] = 'Belgium';
$cc['BZ'] = 'Belize';
$cc['BJ'] = 'Benin';
$cc['BM'] = 'Bermuda';
$cc['BT'] = 'Bhutan';
$cc['BO'] = 'Bolivia';
$cc['BA'] = 'Bosnia and Herzegovina';
$cc['BW'] = 'Botswana';
$cc['BV'] = 'Bouvet Island';
$cc['BR'] = 'Brazil';
$cc['IO'] = 'British Indian Ocean Territory';
$cc['BN'] = 'Brunei Darussalam';
$cc['BG'] = 'Bulgaria';
$cc['BF'] = 'Burkina Faso';
$cc['BI'] = 'Burundi';
$cc['KH'] = 'Cambodia';
$cc['CM'] = 'Cameroon';
$cc['CA'] = 'Canada';
$cc['CV'] = 'Cape Verde';
$cc['KY'] = 'Cayman Islands';
$cc['CF'] = 'Central African Republic';
$cc['TD'] = 'Chad';
$cc['CL'] = 'Chile';
$cc['CN'] = 'China';
$cc['CX'] = 'Christmas Island';
$cc['CC'] = 'Cocos (Keeling) Islands';
$cc['CO'] = 'Colombia';
$cc['KM'] = 'Comoros';
$cc['CG'] = 'Congo';
$cc['CD'] = 'Congo, the Democratic Republic of the';
$cc['CK'] = 'Cook Islands';
$cc['CR'] = 'Costa Rica';
$cc['CI'] = 'Cote D\'Ivoire';
$cc['HR'] = 'Croatia';
$cc['CU'] = 'Cuba';
$cc['CY'] = 'Cyprus';
$cc['CZ'] = 'Czech Republic';
$cc['DK'] = 'Denmark';
$cc['DJ'] = 'Djibouti';
$cc['DM'] = 'Dominica';
$cc['DO'] = 'Dominican Republic';
$cc['EC'] = 'Ecuador';
$cc['EG'] = 'Egypt';
$cc['SV'] = 'El Salvador';
$cc['GQ'] = 'Equatorial Guinea';
$cc['ER'] = 'Eritrea';
$cc['EE'] = 'Estonia';
$cc['ET'] = 'Ethiopia';
$cc['FK'] = 'Falkland Islands (Malvinas)';
$cc['FO'] = 'Faroe Islands';
$cc['FJ'] = 'Fiji';
$cc['FI'] = 'Finland';
$cc['FR'] = 'France';
$cc['GF'] = 'French Guiana';
$cc['PF'] = 'French Polynesia';
$cc['TF'] = 'French Southern Territories';
$cc['GA'] = 'Gabon';
$cc['GM'] = 'Gambia';
$cc['GE'] = 'Georgia';
$cc['DE'] = 'Germany';
$cc['GH'] = 'Ghana';
$cc['GI'] = 'Gibraltar';
$cc['GR'] = 'Greece';
$cc['GL'] = 'Greenland';
$cc['GD'] = 'Grenada';
$cc['GP'] = 'Guadeloupe';
$cc['GU'] = 'Guam';
$cc['GT'] = 'Guatemala';
$cc['GN'] = 'Guinea';
$cc['GW'] = 'Guinea-Bissau';
$cc['GY'] = 'Guyana';
$cc['HT'] = 'Haiti';
$cc['HM'] = 'Heard Island and Mcdonald Islands';
$cc['VA'] = 'Holy See (Vatican City State)';
$cc['HN'] = 'Honduras';
$cc['HK'] = 'Hong Kong';
$cc['HU'] = 'Hungary';
$cc['IS'] = 'Iceland';
$cc['IN'] = 'India';
$cc['ID'] = 'Indonesia';
$cc['IR'] = 'Iran, Islamic Republic of';
$cc['IQ'] = 'Iraq';
$cc['IE'] = 'Ireland';
$cc['IL'] = 'Israel';
$cc['IT'] = 'Italy';
$cc['JM'] = 'Jamaica';
$cc['JP'] = 'Japan';
$cc['JO'] = 'Jordan';
$cc['KZ'] = 'Kazakhstan';
$cc['KE'] = 'Kenya';
$cc['KI'] = 'Kiribati';
$cc['KP'] = 'Korea, Democratic People\'s Republic of';
$cc['KR'] = 'Korea, Republic of';
$cc['KW'] = 'Kuwait';
$cc['KG'] = 'Kyrgyzstan';
$cc['LA'] = 'Lao People\'s Democratic Republic';
$cc['LV'] = 'Latvia';
$cc['LB'] = 'Lebanon';
$cc['LS'] = 'Lesotho';
$cc['LR'] = 'Liberia';
$cc['LY'] = 'Libyan Arab Jamahiriya';
$cc['LI'] = 'Liechtenstein';
$cc['LT'] = 'Lithuania';
$cc['LU'] = 'Luxembourg';
$cc['MO'] = 'Macao';
$cc['MK'] = 'Macedonia, the Former Yugoslav Republic of';
$cc['MG'] = 'Madagascar';
$cc['MW'] = 'Malawi';
$cc['MY'] = 'Malaysia';
$cc['MV'] = 'Maldives';
$cc['ML'] = 'Mali';
$cc['MT'] = 'Malta';
$cc['MH'] = 'Marshall Islands';
$cc['MQ'] = 'Martinique';
$cc['MR'] = 'Mauritania';
$cc['MU'] = 'Mauritius';
$cc['YT'] = 'Mayotte';
$cc['MX'] = 'Mexico';
$cc['FM'] = 'Micronesia, Federated States of';
$cc['MD'] = 'Moldova, Republic of';
$cc['MC'] = 'Monaco';
$cc['MN'] = 'Mongolia';
$cc['MS'] = 'Montserrat';
$cc['MA'] = 'Morocco';
$cc['MZ'] = 'Mozambique';
$cc['MM'] = 'Myanmar';
$cc['NA'] = 'Namibia';
$cc['NR'] = 'Nauru';
$cc['NP'] = 'Nepal';
$cc['NL'] = 'Netherlands';
$cc['AN'] = 'Netherlands Antilles';
$cc['NC'] = 'New Caledonia';
$cc['NZ'] = 'New Zealand';
$cc['NI'] = 'Nicaragua';
$cc['NE'] = 'Niger';
$cc['NG'] = 'Nigeria';
$cc['NU'] = 'Niue';
$cc['NF'] = 'Norfolk Island';
$cc['MP'] = 'Northern Mariana Islands';
$cc['NO'] = 'Norway';
$cc['OM'] = 'Oman';
$cc['PK'] = 'Pakistan';
$cc['PW'] = 'Palau';
$cc['PS'] = 'Palestinian Territory, Occupied';
$cc['PA'] = 'Panama';
$cc['PG'] = 'Papua New Guinea';
$cc['PY'] = 'Paraguay';
$cc['PE'] = 'Peru';
$cc['PH'] = 'Philippines';
$cc['PN'] = 'Pitcairn';
$cc['PL'] = 'Poland';
$cc['PT'] = 'Portugal';
$cc['PR'] = 'Puerto Rico';
$cc['QA'] = 'Qatar';
$cc['RE'] = 'Reunion';
$cc['RO'] = 'Romania';
$cc['RU'] = 'Russian Federation';
$cc['RW'] = 'Rwanda';
$cc['SH'] = 'Saint Helena';
$cc['KN'] = 'Saint Kitts and Nevis';
$cc['LC'] = 'Saint Lucia';
$cc['PM'] = 'Saint Pierre and Miquelon';
$cc['VC'] = 'Saint Vincent and the Grenadines';
$cc['WS'] = 'Samoa';
$cc['SM'] = 'San Marino';
$cc['ST'] = 'Sao Tome and Principe';
$cc['SA'] = 'Saudi Arabia';
$cc['SN'] = 'Senegal';
$cc['CS'] = 'Serbia and Montenegro';
$cc['SC'] = 'Seychelles';
$cc['SL'] = 'Sierra Leone';
$cc['SG'] = 'Singapore';
$cc['SK'] = 'Slovakia';
$cc['SI'] = 'Slovenia';
$cc['SB'] = 'Solomon Islands';
$cc['SO'] = 'Somalia';
$cc['ZA'] = 'South Africa';
$cc['GS'] = 'South Georgia and the South Sandwich Islands';
$cc['ES'] = 'Spain';
$cc['LK'] = 'Sri Lanka';
$cc['SD'] = 'Sudan';
$cc['SR'] = 'Suriname';
$cc['SJ'] = 'Svalbard and Jan Mayen';
$cc['SZ'] = 'Swaziland';
$cc['SE'] = 'Sweden';
$cc['CH'] = 'Switzerland';
$cc['SY'] = 'Syrian Arab Republic';
$cc['TW'] = 'Taiwan, Province of China';
$cc['TJ'] = 'Tajikistan';
$cc['TZ'] = 'Tanzania, United Republic of';
$cc['TH'] = 'Thailand';
$cc['TL'] = 'Timor-Leste';
$cc['TG'] = 'Togo';
$cc['TK'] = 'Tokelau';
$cc['TO'] = 'Tonga';
$cc['TT'] = 'Trinidad and Tobago';
$cc['TN'] = 'Tunisia';
$cc['TR'] = 'Turkey';
$cc['TM'] = 'Turkmenistan';
$cc['TC'] = 'Turks and Caicos Islands';
$cc['TV'] = 'Tuvalu';
$cc['UG'] = 'Uganda';
$cc['UA'] = 'Ukraine';
$cc['AE'] = 'United Arab Emirates';
$cc['GB'] = 'United Kingdom';
$cc['US'] = 'United States';
$cc['UM'] = 'United States Minor Outlying Islands';
$cc['UY'] = 'Uruguay';
$cc['UZ'] = 'Uzbekistan';
$cc['VU'] = 'Vanuatu';
$cc['VE'] = 'Venezuela';
$cc['VN'] = 'Viet Nam';
$cc['VG'] = 'Virgin Islands, British';
$cc['VI'] = 'Virgin Islands, U.s.';
$cc['WF'] = 'Wallis and Futuna';
$cc['EH'] = 'Western Sahara';
$cc['YE'] = 'Yemen';
$cc['ZM'] = 'Zambia';
$cc['ZW'] = 'Zimbabwe';
?>